# Generated by Django 2.2.18 on 2021-09-02 13:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0093_fix_attr_m2m'),
        ('canvas', '0015_canvas_product_extra_details'),
    ]

    operations = [
        migrations.CreateModel(
            name='FailedSyncs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('problem', models.CharField(help_text='The Square error message, or the exception message.', max_length=1000)),
                ('timestamp', models.DateTimeField(auto_now_add=True, help_text='The first time this object failed to sync')),
                ('shop_product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='failed_shop_product', to='shuup.ShopProduct')),
            ],
            options={
                'verbose_name_plural': 'Failed Syncs',
            },
        ),
    ]
